# Technology Vulnerabilities

GET /easm/technologies/vulnerabilities: Lists vulnerabilities of a technology (tech_id), optionally for a version and severity.

Source: https://docs.deepinfo.com/reference/easm/technology-vulnerabilities/

Last updated: 2026-09-27

---
`GET https://api.deepinfo.com/v1/easm/technologies/vulnerabilities`

Lists vulnerabilities of a technology (`tech_id`), optionally for a `version` and `severity`.

## Authentication

Send your API key in the `apikey` request header.

## Query Parameters

| Parameter | Required | Description | Example |
|---|---|---|---|
| `tech_id` | Required |  | `00000000000000000000000e2cc20001` |
| `version` | Optional |  |  |
| `severity` | Optional | One of: `critical`, `high`, `medium`, `low`, `none`, `unknown`. |  |
| `page` | Optional | Min `1`, max `800`. Default `1`. | `1` |
| `page_size` | Optional | Min `25`, max `100`. Default `100`. | `25` |

## Response Fields

| Field | Type | Description |
|---|---|---|
| `page` | integer |  |
| `page_size` | integer |  |
| `result_count` | integer |  |
| `results` | array of object |  |
| `results[].cve_id` | string |  |
| `results[].cvss_v3_score` | number |  |
| `results[].cvss_v3_severity` | string | One of `critical`, `high`, `medium`, `low`, `none`, `unknown` |
| `results[].published_date` | string | date-time |
| `results[].last_modified_date` | string | date-time |
| `results[].description` | string |  |

Paginated. See [Getting Started → Pagination](/getting-started/pagination/).

## Response Schema

_Inferred from examples._ Built from the saved 2xx example response: the fields it contains, with the types seen there. It is not a contract.

| Field | Type |
|---|---|
| `page` | number |
| `page_size` | number |
| `result_count` | number |
| `results` | array |

## Examples

### 200 · OK

```bash
curl 'https://api.deepinfo.com/v1/easm/technologies/vulnerabilities?tech_id=00000000000000000000000e2cc20001' \
  -H 'apikey: YOUR_API_KEY' \
  -H 'Accept: application/json'
```

`Content-Type: application/json` · `deepinfo-request-id: 00000000-0000-4000-8000-0000356d0001`

```json
{
  "page": 1,
  "page_size": 25,
  "result_count": 0,
  "results": []
}
```

### 400 · Invalid Parameter (invalid page=0)

```bash
curl 'https://api.deepinfo.com/v1/easm/technologies/vulnerabilities?tech_id=00000000000000000000000e2cc20001&page=0' \
  -H 'apikey: YOUR_API_KEY' \
  -H 'Accept: application/json'
```

`Content-Type: application/json` · `deepinfo-request-id: 00000000-0000-4000-8000-0000356d0001`

```json
{
  "code": 10400,
  "parameters": [
    {
      "param": "page",
      "details": [
        "Ensure this value is greater than or equal to 1."
      ]
    }
  ],
  "solution": "https://docs.deepinfo.com/reference/"
}
```
